﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace isosoft.root
{
	public class UniqueItemList<T> : XObjectListNotifier<T>
	{

		public UniqueItemList() : base()
		{

		}

		public UniqueItemList(T[] array)
			: base()
		{
			this.AddRange( array.ToList());
		}


		public new void Add( T item)
		{
			if( this.Contains( item))
				return;

			base.Add( item);
		}

		public void AddRange( List<T> list)
		{
			if( list == null)
				return;

			foreach( T item in list)
				this.Add( item);
		}

	}
}
